package com.ygtx.gxt.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ygtx.gxt.mapper.GxtScoreProjectMapper;
import com.ygtx.gxt.domain.GxtScoreProject;
import com.ygtx.gxt.service.IGxtScoreProjectService;

/**
 * 项目分值Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-11-11
 */
@Service
public class GxtScoreProjectServiceImpl implements IGxtScoreProjectService 
{
    @Autowired
    private GxtScoreProjectMapper gxtScoreProjectMapper;

    /**
     * 查询项目分值
     * 
     * @param id 项目分值主键
     * @return 项目分值
     */
    @Override
    public GxtScoreProject selectGxtScoreProjectById(Long id)
    {
        return gxtScoreProjectMapper.selectGxtScoreProjectById(id);
    }

    /**
     * 查询项目分值列表
     * 
     * @param gxtScoreProject 项目分值
     * @return 项目分值
     */
    @Override
    public List<GxtScoreProject> selectGxtScoreProjectList(GxtScoreProject gxtScoreProject)
    {
        return gxtScoreProjectMapper.selectGxtScoreProjectList(gxtScoreProject);
    }

    /**
     * 新增项目分值
     * 
     * @param gxtScoreProject 项目分值
     * @return 结果
     */
    @Override
    public int insertGxtScoreProject(GxtScoreProject gxtScoreProject)
    {
        return gxtScoreProjectMapper.insertGxtScoreProject(gxtScoreProject);
    }

    /**
     * 修改项目分值
     * 
     * @param gxtScoreProject 项目分值
     * @return 结果
     */
    @Override
    public int updateGxtScoreProject(GxtScoreProject gxtScoreProject)
    {
        return gxtScoreProjectMapper.updateGxtScoreProject(gxtScoreProject);
    }

    /**
     * 批量删除项目分值
     * 
     * @param ids 需要删除的项目分值主键
     * @return 结果
     */
    @Override
    public int deleteGxtScoreProjectByIds(Long[] ids)
    {
        return gxtScoreProjectMapper.deleteGxtScoreProjectByIds(ids);
    }

    /**
     * 删除项目分值信息
     * 
     * @param id 项目分值主键
     * @return 结果
     */
    @Override
    public int deleteGxtScoreProjectById(Long id)
    {
        return gxtScoreProjectMapper.deleteGxtScoreProjectById(id);
    }
}